> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Ответы на запрос (OpenAI Responses API)

> OpenAI Responses API — интерфейс для асинхронного запроса задач. `response_id` Используйте полный `id`, возвращённый при создании ответа; не обрезайте и не переписывайте его.

Запрашивает асинхронные задачи изображений OpenAI Responses API. `response_id` Необходимо использовать полный `id`, возвращённый `POST /v1/responses`, например `resp_xxx`.

## Пример асинхронного запроса

```http
GET /v1/responses/resp_xxx
```

Эквивалентное описание параметров пути:

```json
{
  "response_id": "resp_xxx"
}
```

Пример ответа в состоянии завершения:

```json
{
  "id": "resp_xxx",
  "created_at": 1780649146,
  "error": null,
  "incomplete_details": null,
  "instructions": null,
  "metadata": {},
  "model": "gpt-image-2-2k",
  "object": "response",
  "output": [
    {
      "id": "ig_010c31178d26436ca6194cde07931b33_0",
      "result": null,
      "status": "completed",
      "type": "image_generation_call",
      "url": "https://example.png"
    }
  ],
  "parallel_tool_calls": true,
  "temperature": null,
  "tool_choice": null,
  "tools": null,
  "top_p": null,
  "max_output_tokens": null,
  "previous_response_id": null,
  "reasoning": null,
  "status": "completed",
  "text": null,
  "truncation": null,
  "usage": null,
  "user": null,
  "store": null
}
```



## OpenAPI

````yaml api-reference/ru/openapi.json GET /v1/responses/{response_id}
openapi: 3.0.0
info:
  title: Справочная документация API для "出海营"
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: Формат OpenAI (Chat)
  - name: Формат OpenAI (Responses)
  - name: Формат Gemini для генерации изображений
  - name: Генерация изображенийOpenAI в формате DALL-E
  - name: Получить список моделей
  - name: Генерация видеоHappyHorse и Wan
  - name: ФорматKling генерации видео
  - name: Видео-генерация Omni и формат Veo
  - name: Генерация видео Seedance
  - name: Совместимый формат для Sora генерации видео
  - name: Генерация видео Vidu
  - name: Формат задачи генерации музыки
paths:
  /v1/responses/{response_id}:
    get:
      tags:
        - Формат OpenAI (Responses)
      summary: Ответы на запрос (OpenAI Responses API)
      description: >-
        OpenAI Responses API — интерфейс для асинхронного запроса задач.
        `response_id` Используйте полный `id`, возвращённый при создании ответа;
        не обрезайте и не переписывайте его.


        Запрашивает асинхронные задачи изображений OpenAI Responses API.
        `response_id` Необходимо использовать полный `id`, возвращённый `POST
        /v1/responses`, например `resp_xxx`.


        ## Пример асинхронного запроса


        ```http

        GET /v1/responses/resp_xxx

        ```


        Эквивалентное описание параметров пути:


        ```json

        {
          "response_id": "resp_xxx"
        }

        ```


        Пример ответа в состоянии завершения:


        ```json

        {
          "id": "resp_xxx",
          "created_at": 1780649146,
          "error": null,
          "incomplete_details": null,
          "instructions": null,
          "metadata": {},
          "model": "gpt-image-2-2k",
          "object": "response",
          "output": [
            {
              "id": "ig_010c31178d26436ca6194cde07931b33_0",
              "result": null,
              "status": "completed",
              "type": "image_generation_call",
              "url": "https://example.png"
            }
          ],
          "parallel_tool_calls": true,
          "temperature": null,
          "tool_choice": null,
          "tools": null,
          "top_p": null,
          "max_output_tokens": null,
          "previous_response_id": null,
          "reasoning": null,
          "status": "completed",
          "text": null,
          "truncation": null,
          "usage": null,
          "user": null,
          "store": null
        }

        ```
      parameters:
        - name: response_id
          in: path
          required: true
          schema:
            type: string
            example: resp_xxx
          description: Полный id, возвращаемый в ответе на создание.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: resp_xxx
                    description: Response ID。
                  object:
                    type: string
                    example: response
                  created_at:
                    type: integer
                  status:
                    type: string
                    example: in_progress
                    description: >-
                      Статус задачи, обычно: `queued`, `in_progress`,
                      `completed`, `failed`.
                  model:
                    type: string
                  output:
                    type: array
                    items:
                      type: object
                      properties:
                        url:
                          type: string
                          description: URL изображения после завершения задания.
                  metadata:
                    type: object
                    properties:
                      task_id:
                        type: string
                        description: Метаданные идентификатора вышестоящей задачи.
                  error:
                    type: object
                    nullable: true
                    description: Объект ошибки при сбое.
              examples:
                responses_image_async_completed:
                  summary: >-
                    Возвращаемое значение после завершения асинхронного запроса
                    на генерацию изображения
                  value:
                    id: resp_xxx
                    created_at: 1780649146
                    error: null
                    incomplete_details: null
                    instructions: null
                    metadata: {}
                    model: gpt-image-2-2k
                    object: response
                    output:
                      - id: ig_010c31178d26436ca6194cde07931b33_0
                        result: null
                        status: completed
                        type: image_generation_call
                        url: https://example.png
                    parallel_tool_calls: true
                    temperature: null
                    tool_choice: null
                    tools: null
                    top_p: null
                    max_output_tokens: null
                    previous_response_id: null
                    reasoning: null
                    status: completed
                    text: null
                    truncation: null
                    usage: null
                    user: null
                    store: null
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Используйте проверку подлинности Bearer Token.
        Формат: `Authorization: Bearer sk-xxxxxx`

````